Subject: [Tsvwg] Path heartbeat

From: [email-masked]
Date: Thu, 28 Feb 2002 15:01:07 -0500

Hi,

I have a question about the heartbeat.

Assumption:
Endpoint A is multihomed with 2 ipaddresses (addrA1 and addrA2)
Endpoint B is multihomed with 2 ipaddress(addrB1 and addrB2) as well
There is only one association established between A and B
No user data traffic

In RFC2960 (Page 93) in section 8.3:
  " By default, an SCTP endpoint shall monitor the reachability of the
   idle destination transport address(es) of its peer by sending a
   HEARTBEAT chunk periodically to the destination transport
   address(es)."

Based on the RFC, because the source address is not considered, it is not
clear if heartbeat should be sent from A to B for all 4 paths:
addrA1 to addrB1
addrA1 to addrB2
addrA2 to addrB1
addrA2 to addrB2

Can any one in the list help clarify it?

Thanks in advance.

Simon Zhuang

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: [email-masked]
Date: Thu, 28 Feb 2002 22:29:59 +0200

Hi Simon!

	This issue about source address has been debated several times in the list already...

	The conclusion is that basically, once you set the destination IP address, your routing tables are the ones that choose the souce address (and network adapter), and thus there isn't much you can do about it.

	So, basically you only have two paths. And this is what the RFC talks about. For every destination address you just have to send from one source address (the one chosen by the routing tables).

	I hope this helps to clarify (and I hope not to be wrong either! :->)

	BR Iván Arias Rodríguez

> -----Original Message-----
> From: ext [email-masked] [mailto:[email-masked]]
> Sent: 28 February 2002 22:01
> To: [email-masked]
> Subject: [Tsvwg] Path heartbeat
> 
> 
> Hi,
>